Telegram APIChannels
channels.getMessages
Get channel/supergroup messages
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get channel/supergroup messages
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.getMessages" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "id": [ { "_": "inputMessageID", "id": 0 } ] } }'{ "result": { "_": "messages.messages", "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "topics": [ { "_": "forumTopicDeleted", "id": 0 } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getMessageAuthor
Can only be invoked by non-bot admins of a [monoforum »](https://core.telegram.org/api/monoforum), obtains the original sender of a message sent by other monoforum admins to the monoforum, on behalf of the channel associated to the monoforum.
getParticipant
Get info about a [channel/supergroup](https://core.telegram.org/api/channel) participant